rte_mbuf_sched(3)

NAME
rte_mbuf_sched

SYNOPSIS

#include <rte_mbuf_core.h>

  Data Fields

uint32_t queue_id
uint8_t traffic_class
uint8_t color
uint16_t reserved

Detailed Description

Hierarchical scheduler

Definition at line 417 of file rte_mbuf_core.h.

Field Documentation

  uint32_t queue_id
Queue ID.

Definition at line 418 of file rte_mbuf_core.h.

  uint8_t traffic_class
Traffic class ID. Traffic class 0 is the highest priority traffic class.

Definition at line 419 of file rte_mbuf_core.h.

  uint8_t color
Color.

See also
    enum rte_color.

Definition at line 423 of file rte_mbuf_core.h.

  uint16_t reserved
Reserved.

Definition at line 425 of file rte_mbuf_core.h.

Author

Generated automatically by Doxygen for DPDK from the source code.